#
# spec file for package python-w3lib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-w3lib
Version:        1.18.0
Release:        lp151.2.2
Summary:        Library of Web-Related Functions
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/scrapy/w3lib
Source:         https://files.pythonhosted.org/packages/source/w/w3lib/w3lib-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six} >= 1.4.1
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets

* extract base url from HTML snippets

* translate entites on HTML strings

* encoding mulitpart/form-data

* convert raw HTTP headers to dicts and vice-versa

* construct HTTP auth header

* converting HTML pages to unicode

* RFC-compliant url joining

* sanitize urls (like browsers do)

* extract arguments from urls

%prep
%setup -q -n w3lib-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Thu Dec 21 2017 mpluskal@suse.com
- Update to version 1.18.0:
  * No upstream changelog available
- Convert to singlespec
* Thu Jun  2 2016 jacobwinski@gmail.com
- Update to 1.14.2 (2016-04-11)
  * fix function import for (deprecated) ``urljoin_rfc`` (issue #51)
  * only expose wanted functions from ``w3lib.url``, via ``__all__``
    (see issue #54, https://github.com/scrapy/scrapy/issues/1917)
- Update to 1.14.1 (2016-04-07)
  * For bytes URLs, when supplied encoding (or default UTF8) is wrong,
    ``safe_url_string`` falls back to percent-encoding offending bytes.
- Update to 1.14.0 (2016-04-06)
  * proper handling of non-ASCII characters in Python2 and Python3
  * support IDNs
  * new `path_encoding` to override default UTF-8 when serializing non-ASCII
    characters before percent-encoding
  * html_body_declared_encoding also detects encoding when not sole attribute
    in ``<meta>``.
  * Package is now properly marked as ``zip_safe``.
- Update to 1.13.0 (2015-11-05)
  * remove_tags removes uppercase tags as well;
  * ignore meta-redirects inside script or noscript tags by default,
    but add an option to not ignore them;
  * replace_entities now handles entities without trailing semicolon;
  * fixed uncaught UnicodeDecodeError when decoding entities.
- Update to 1.12.0 (2015-06-29)
  * meta_refresh regex now handles leading newlines and whitespaces in the url;
  * include tests folder in source distribution.
- Update to 1.11.0 (2015-01-13)
  * url_query_cleaner now supports str or list parameters;
  * add support for resolving base URLs in <base> tags with attributes
    before href.
- Update spec file to reflect new upstream package requirements.
* Fri Sep  5 2014 toddrme2178@gmail.com
- Update to version 1.10.0
  + See https://github.com/scrapy/w3lib/commits/v1.10.0 for a list
    of changes.
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 1.5
  + No changelog available
- Add python-setuptools BuildRequires; new dependency
* Wed May 23 2012 jfunk@funktronics.ca
- Initial release
